[(#HTTP_HEADER{Content-type: application/json [; charset=(#CHARSET)]})]#CACHE{0}
[(#REM)
/*******************************************************************************\
 * BIODIV, plugin et squelette pour SPIP - https://www.spip.net/               *
 *         dédié à la gestion d'observations naturalistes                      *
 *                                                                             *
 *         Copyright (C) 2008-2020 Renaud LAURETTE                             *
 *                                                                             *
 * BIODIV a été développé initialement pour le projet Biodiv.Balma de l'APCVEB *
 * (Association de Protection du Cadre de Vie et de l'Environnement balmanais) * 
 *     voir Biodiv.Balma : https://balma.biodiv.fr/                            *
 *     voir APCVEB : http://apcveb.free.fr/                                    *
 *                                                                             *
 *  Ce programme est un logiciel libre distribué sous licence GNU/GPL.         *
 *  Pour plus de détails voir les fichier COPYING.txt et LICENCE-BIODIV.md     *
\*******************************************************************************/
]<?php

  $txt=file_get_contents("php://input");
  $data = json_decode($txt, true);
 
  include_spip("inc/jws_charger_donnees");
  $controle = $creation = $attache = array();
  $robsid = 0;
  
  if(jws_controler_donnees_observation($data,$controle)) {
  	  $titre = $data['titre'];
  	  $idobs = jws_creer_observation($data,$creation);
  	  if($idobs) {
  	  	$msg = "Obs $idobs ($titre)";
  	  	// Traitement des photos
  	  	if(!is_array($data['image'])) { $images = array($data['image']); }
  	  	  else { $images = $data['image']; }
  	  	$nbImg=0;
  	  	foreach($images as $image) {
  	    	if(strlen($image)) {
  	    		$docid = jws_attacher_fichier($idobs,$image,$nbImg,"jpg",$attache);
  	    		$msg .= " img$nbImg=$docid";
  	    	} else { $msg .= " img$nbImg="._T('biodiv:jws_aucun'); }
  	    	$nbImg++;
  	    }
  	    // Traitement des sons
  	    if(array_key_exists('son',$data)) {
  	    	if(!is_array($data['son'])) { $sons = array($data['son']); }
  	    		else { $sons = $data['son']; }
  	    	$nbSnd=0;
  	    	foreach($sons as $son) {
  	    		if(strlen($son)) {
  	    			$docid = jws_attacher_fichier($idobs,$son,$nbSnd,"3gp",$attache);
  	    			$msg .= " snd$nbSnd=$docid";
  	    		} else { $msg .= " snd$nbSnd="._T('biodiv:jws_aucun'); }
  	    		$nbSnd++;
  	    	}
  	    }
  	    $robsid = isset($data['obsid'])?$data['obsid']:0;
  	  } else { $msg = _T("biodiv:echec_creation_observation"); }   
  } else { $msg = _T("biodiv:jws_pb_controle_donnees"); }
  
  $reponse = array(
  	"message" => $msg,
  	"controle" => $controle,
//  "session" => isset($GLOBALS['visiteur_session'])?$GLOBALS['visiteur_session']:array(),
//  "creation" => $creation,
//  "attache" => $attache
  	);
  // Quand tout va bien on renvoi l'identifiant de l'obs pour l'appareil distant.
  if($robsid) $reponse['obsid']=$robsid;
  echo json_encode($reponse);
?>
